<?php
/**
 * The template file to display taxonomies archive
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.57
 */

// Redirect to the template page (if exists) for output current taxonomy
if ( is_category() || is_tag() || is_tax() ) {
	$quanzo_term = get_queried_object();
	global $wp_query;
	if ( ! empty( $quanzo_term->taxonomy ) && ! empty( $wp_query->posts[0]->post_type ) ) {
		$quanzo_taxonomy  = quanzo_get_post_type_taxonomy( $wp_query->posts[0]->post_type );
		if ( $quanzo_taxonomy == $quanzo_term->taxonomy ) {
			$quanzo_template_page_id = quanzo_get_template_page_id( array(
				'post_type'  => $wp_query->posts[0]->post_type,
				'parent_cat' => $quanzo_term->term_id
			) );
			if ( 0 < $quanzo_template_page_id ) {
				wp_safe_redirect( get_permalink( $quanzo_template_page_id ) );
				exit;
			}
		}
	}
}
// If template page is not exists - display default blog archive template
get_template_part( apply_filters( 'quanzo_filter_get_template_part', quanzo_blog_archive_get_template() ) );
