<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.50
 */

$quanzo_template_args = get_query_var( 'quanzo_template_args' );
if ( is_array( $quanzo_template_args ) ) {
	$quanzo_columns    = empty( $quanzo_template_args['columns'] ) ? 2 : max( 1, $quanzo_template_args['columns'] );
	$quanzo_blog_style = array( $quanzo_template_args['type'], $quanzo_columns );
} else {
	$quanzo_blog_style = explode( '_', quanzo_get_theme_option( 'blog_style' ) );
	$quanzo_columns    = empty( $quanzo_blog_style[1] ) ? 2 : max( 1, $quanzo_blog_style[1] );
}
$quanzo_blog_id       = quanzo_get_custom_blog_id( join( '_', $quanzo_blog_style ) );
$quanzo_blog_style[0] = str_replace( 'blog-custom-', '', $quanzo_blog_style[0] );
$quanzo_expanded      = ! quanzo_sidebar_present() && quanzo_is_on( quanzo_get_theme_option( 'expand_content' ) );
$quanzo_components    = ! empty( $quanzo_template_args['meta_parts'] )
							? ( is_array( $quanzo_template_args['meta_parts'] )
								? join( ',', $quanzo_template_args['meta_parts'] )
								: $quanzo_template_args['meta_parts']
								)
							: quanzo_array_get_keys_by_value( quanzo_get_theme_option( 'meta_parts' ) );
$quanzo_post_format   = get_post_format();
$quanzo_post_format   = empty( $quanzo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $quanzo_post_format );

$quanzo_blog_meta     = quanzo_get_custom_layout_meta( $quanzo_blog_id );
$quanzo_custom_style  = ! empty( $quanzo_blog_meta['scripts_required'] ) ? $quanzo_blog_meta['scripts_required'] : 'none';

if ( ! empty( $quanzo_template_args['slider'] ) || $quanzo_columns > 1 || ! quanzo_is_off( $quanzo_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $quanzo_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( quanzo_is_off( $quanzo_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $quanzo_custom_style ) ) . "-1_{$quanzo_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_format_' . esc_attr( $quanzo_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $quanzo_columns )
					. ' post_layout_' . esc_attr( $quanzo_blog_style[0] )
					. ' post_layout_' . esc_attr( $quanzo_blog_style[0] ) . '_' . esc_attr( $quanzo_columns )
					. ( ! quanzo_is_off( $quanzo_custom_style )
						? ' post_layout_' . esc_attr( $quanzo_custom_style )
							. ' post_layout_' . esc_attr( $quanzo_custom_style ) . '_' . esc_attr( $quanzo_columns )
						: ''
						)
		);
	quanzo_add_blog_animation( $quanzo_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'quanzo_action_show_layout', $quanzo_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $quanzo_template_args['slider'] ) || $quanzo_columns > 1 || ! quanzo_is_off( $quanzo_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
