<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

$quanzo_template_args = get_query_var( 'quanzo_template_args' );
if ( is_array( $quanzo_template_args ) ) {
	$quanzo_columns    = empty( $quanzo_template_args['columns'] ) ? 2 : max( 1, $quanzo_template_args['columns'] );
	$quanzo_blog_style = array( $quanzo_template_args['type'], $quanzo_columns );
} else {
	$quanzo_blog_style = explode( '_', quanzo_get_theme_option( 'blog_style' ) );
	$quanzo_columns    = empty( $quanzo_blog_style[1] ) ? 2 : max( 1, $quanzo_blog_style[1] );
}
$quanzo_post_format = get_post_format();
$quanzo_post_format = empty( $quanzo_post_format ) ? 'standard' : str_replace( 'post-format-', '', $quanzo_post_format );

?><div class="
<?php
if ( ! empty( $quanzo_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo 'masonry_item masonry_item-1_' . esc_attr( $quanzo_columns );
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_format_' . esc_attr( $quanzo_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $quanzo_columns )
		. ( is_sticky() && ! is_paged() ? ' sticky' : '' )
	);
	quanzo_add_blog_animation( $quanzo_template_args );
	?>
>
<?php

// Sticky label
if ( is_sticky() && ! is_paged() ) {
	?>
		<span class="post_label label_sticky"></span>
		<?php
}

        $quanzo_image_hover = ! empty( $quanzo_template_args['hover'] ) && ! quanzo_is_inherit( $quanzo_template_args['hover'] )
            ? $quanzo_template_args['hover']
            : quanzo_get_theme_option( 'image_hover' );


        if ( 'dots' == $quanzo_image_hover ) {
            $quanzo_post_link   = empty( $quanzo_template_args['no_links'] )
                ? ( ! empty( $quanzo_template_args['link'] )
                    ? $quanzo_template_args['link']
                    : get_permalink()
                )
                : '';
            $quanzo_target      = ! empty( $quanzo_post_link ) && false === strpos( $quanzo_post_link, home_url() )
                ? ' target="_blank" rel="nofollow"'
                : '';
        }
	// Featured image
	quanzo_show_post_featured(
		array(
			'hover'         =>  $quanzo_image_hover,
			'no_links'      => ! empty( $quanzo_template_args['no_links'] ),
			'thumb_size'    => quanzo_get_thumb_size(
									strpos( quanzo_get_theme_option( 'body_style' ), 'full' ) !== false || $quanzo_columns < 3
										? 'masonry-big'
										: 'masonry-big' 	// Use -big because when image is square 'masonry' is blur!
								),
			'show_no_image' => true,
			'class'         => 'dots' == $quanzo_image_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $quanzo_image_hover ? '<div class="post_info">' . esc_html( get_the_title() ) . '</div>' : '',
		)
	);

	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!