<?php
/**
 * The Header: Logo and main menu
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?> class="no-js
									<?php
										// Class scheme_xxx need in the <html> as context for the <body>!
										echo ' scheme_' . esc_attr( quanzo_get_theme_option( 'color_scheme' ) );
									?>
										">
<head>
	<?php wp_head(); ?>
</head>

<body <?php	body_class(); ?>>
<?php wp_body_open(); ?>
	<?php do_action( 'quanzo_action_before_body' ); ?>

	<div class="body_wrap">

		<div class="page_wrap<?php $body_bg_image = quanzo_get_theme_option( 'body_bg_image' );
                                   $body_bg_image_switch_on =  quanzo_is_on( quanzo_get_theme_option( 'body_bg_image_switch' ) );

                                    if ( $body_bg_image_switch_on ) {
                                        echo ' with_background';
                                    }
                                    if  ( $body_bg_image_switch_on && !empty ( $body_bg_image ) ) {
                                        echo ' ' . esc_attr( quanzo_add_inline_css_class( 'background-image: url(' . esc_url( $body_bg_image ) . ') !important;' ) );
                                    }
                             ?>">
			<?php

			// Short links to fast access to the content, sidebar and footer from the keyboard
			?>
			<a class="quanzo_skip_link skip_to_content_link" href="#content_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to content", 'quanzo' ); ?></a>
			<?php if ( quanzo_sidebar_present() ) { ?>
			<a class="quanzo_skip_link skip_to_sidebar_link" href="#sidebar_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to sidebar", 'quanzo' ); ?></a>
			<?php } ?>
			<a class="quanzo_skip_link skip_to_footer_link" href="#footer_skip_link_anchor" tabindex="1"><?php esc_html_e( "Skip to footer", 'quanzo' ); ?></a>
			
			<?php
			// Header
			$quanzo_header_type = quanzo_get_theme_option( 'header_type' );
			if ( 'custom' == $quanzo_header_type && ! quanzo_is_layouts_available() ) {
				$quanzo_header_type = 'default';
			}
			get_template_part( apply_filters( 'quanzo_filter_get_template_part', "templates/header-{$quanzo_header_type}" ) );

			// Side menu
			if ( in_array( quanzo_get_theme_option( 'menu_style' ), array( 'left', 'right', 'right_anchors' ) ) ) {
				get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/header-navi-side' ) );
			}
            // Mobile menu
            get_template_part(apply_filters('quanzo_filter_get_template_part', 'templates/header-navi-mobile'));

			// Single posts banner after header
			quanzo_show_post_banner( 'header' );
			?>

			<div class="page_content_wrap">
				<?php
				// Single posts banner on the background
				if ( is_singular( 'post' ) || is_singular( 'attachment' ) ) {
					quanzo_show_post_banner( 'background' );
				}

				// Single post thumbnail and title
				get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/single-styles/' . quanzo_get_theme_option( 'single_style' ) ) );

				// Widgets area above page content
				$quanzo_body_style   = quanzo_get_theme_option( 'body_style' );
				$quanzo_widgets_name = quanzo_get_theme_option( 'widgets_above_page' );
				$quanzo_show_widgets = ! quanzo_is_off( $quanzo_widgets_name ) && is_active_sidebar( $quanzo_widgets_name );
				if ( $quanzo_show_widgets ) {
					if ( 'fullscreen' != $quanzo_body_style ) {
						?>
						<div class="content_wrap">
							<?php
					}
					quanzo_create_widgets_area( 'widgets_above_page' );
					if ( 'fullscreen' != $quanzo_body_style ) {
						?>
						</div><!-- </.content_wrap> -->
						<?php
					}
				}

				// Content area
				?>
				<div class="content_wrap<?php echo 'fullscreen' == $quanzo_body_style ? '_fullscreen' : ''; ?>">

					<div class="content">
						<?php
						// Skip link anchor to fast access to the content from keyboard
						?>
						<a id="content_skip_link_anchor" class="quanzo_skip_link_anchor" href="#"></a>
						<?php
						// Widgets area inside page content
						quanzo_create_widgets_area( 'widgets_above_content' );
