<?php
/**
 * The template for homepage posts with "Classic" style
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

quanzo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	quanzo_blog_archive_start();

	$quanzo_classes    = 'posts_container '
						. ( substr( quanzo_get_theme_option( 'blog_style' ), 0, 7 ) == 'classic'
							? 'columns_wrap columns_padding_bottom'
							: 'masonry_wrap'
							);
	$quanzo_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$quanzo_sticky_out = quanzo_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $quanzo_stickies ) && count( $quanzo_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $quanzo_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $quanzo_sticky_out ) {
		if ( quanzo_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( quanzo_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}

		?>
		<div class="<?php echo esc_attr( $quanzo_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $quanzo_sticky_out && ! is_sticky() ) {
			$quanzo_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $quanzo_classes ); ?>">
			<?php
		}
		$quanzo_part = $quanzo_sticky_out && is_sticky() ? 'sticky' : 'classic';
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', $quanzo_part ), $quanzo_part );
	}

	?>
	</div>
	<?php

	quanzo_show_pagination();

	quanzo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
