<?php
/**
 * The template for homepage posts with custom style
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.50
 */

quanzo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	$quanzo_blog_style = quanzo_get_theme_option( 'blog_style' );
	$quanzo_parts      = explode( '_', $quanzo_blog_style );
	$quanzo_columns    = ! empty( $quanzo_parts[1] ) ? max( 1, min( 6, (int) $quanzo_parts[1] ) ) : 1;
	$quanzo_blog_id    = quanzo_get_custom_blog_id( $quanzo_blog_style );
	$quanzo_blog_meta  = quanzo_get_custom_layout_meta( $quanzo_blog_id );
	if ( ! empty( $quanzo_blog_meta['margin'] ) ) {
		quanzo_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( quanzo_prepare_css_value( $quanzo_blog_meta['margin'] ) ) ) );
	}
	$quanzo_custom_style = ! empty( $quanzo_blog_meta['scripts_required'] ) ? $quanzo_blog_meta['scripts_required'] : 'none';

	quanzo_blog_archive_start();

	$quanzo_classes    = 'posts_container blog_custom_wrap' 
							. ( ! quanzo_is_off( $quanzo_custom_style )
								? sprintf( ' %s_wrap', $quanzo_custom_style )
								: ( $quanzo_columns > 1 
									? ' columns_wrap columns_padding_bottom' 
									: ''
									)
								);
	$quanzo_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
	$quanzo_sticky_out = quanzo_get_theme_option( 'sticky_style' ) == 'columns'
							&& is_array( $quanzo_stickies ) && count( $quanzo_stickies ) > 0 && get_query_var( 'paged' ) < 1;
	if ( $quanzo_sticky_out ) {
		?>
		<div class="sticky_wrap columns_wrap">
		<?php
	}
	if ( ! $quanzo_sticky_out ) {
		if ( quanzo_get_theme_option( 'first_post_large' ) && ! is_paged() && ! in_array( quanzo_get_theme_option( 'body_style' ), array( 'fullwide', 'fullscreen' ) ) ) {
			the_post();
			get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'excerpt' ), 'excerpt' );
		}
		?>
		<div class="<?php echo esc_attr( $quanzo_classes ); ?>">
		<?php
	}
	while ( have_posts() ) {
		the_post();
		if ( $quanzo_sticky_out && ! is_sticky() ) {
			$quanzo_sticky_out = false;
			?>
			</div><div class="<?php echo esc_attr( $quanzo_classes ); ?>">
			<?php
		}
		$quanzo_part = $quanzo_sticky_out && is_sticky() ? 'sticky' : 'custom';
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', $quanzo_part ), $quanzo_part );
	}
	?>
	</div>
	<?php

	quanzo_show_pagination();

	quanzo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
