<?php
/**
 * The template for homepage posts with "Excerpt" style
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

quanzo_storage_set( 'blog_archive', true );

get_header();

if ( have_posts() ) {

	quanzo_blog_archive_start();

	?><div class="posts_container">
		<?php

		$quanzo_stickies   = is_home() ? get_option( 'sticky_posts' ) : false;
		$quanzo_sticky_out = quanzo_get_theme_option( 'sticky_style' ) == 'columns'
								&& is_array( $quanzo_stickies ) && count( $quanzo_stickies ) > 0 && get_query_var( 'paged' ) < 1;
		if ( $quanzo_sticky_out ) {
			?>
			<div class="sticky_wrap columns_wrap">
			<?php
		}
		while ( have_posts() ) {
			the_post();
			if ( $quanzo_sticky_out && ! is_sticky() ) {
				$quanzo_sticky_out = false;
				?>
				</div>
				<?php
			}
			$quanzo_part = $quanzo_sticky_out && is_sticky() ? 'sticky' : 'excerpt';
			get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', $quanzo_part ), $quanzo_part );
		}
		if ( $quanzo_sticky_out ) {
			$quanzo_sticky_out = false;
			?>
			</div>
			<?php
		}

		?>
	</div>
	<?php

	quanzo_show_pagination();

	quanzo_blog_archive_end();

} else {

	if ( is_search() ) {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'none-search' ), 'none-search' );
	} else {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'content', 'none-archive' ), 'none-archive' );
	}
}

get_footer();
