<?php
/* WPBakery PageBuilder Extensions Bundle support functions
------------------------------------------------------------------------------- */

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'quanzo_vc_extensions_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'quanzo_vc_extensions_theme_setup9', 9 );
	function quanzo_vc_extensions_theme_setup9() {
		if ( quanzo_exists_vc() && quanzo_exists_vc_extensions() ) {
			add_action( 'wp_enqueue_scripts', 'quanzo_vc_extensions_frontend_scripts', 1100 );
			add_filter( 'quanzo_filter_merge_styles', 'quanzo_vc_extensions_merge_styles' );
		}
	}
}

// Check if VC Extensions installed and activated
if ( ! function_exists( 'quanzo_exists_vc_extensions' ) ) {
	function quanzo_exists_vc_extensions() {
		return class_exists( 'Vc_Manager' ) && class_exists( 'VC_Extensions_CQBundle' );
	}
}

// Enqueue styles for frontend
if ( ! function_exists( 'quanzo_vc_extensions_frontend_scripts' ) ) {
	
	function quanzo_vc_extensions_frontend_scripts() {
		if ( quanzo_is_on( quanzo_get_theme_option( 'debug_mode' ) ) ) {
			$quanzo_url = quanzo_get_file_url( 'plugins/vc-extensions-bundle/vc-extensions-bundle.css' );
			if ( '' != $quanzo_url ) {
				wp_enqueue_style( 'quanzo-vc-extensions-bundle', $quanzo_url, array(), null );
			}
		}
	}
}

// Merge custom styles
if ( ! function_exists( 'quanzo_vc_extensions_merge_styles' ) ) {
	
	function quanzo_vc_extensions_merge_styles( $list ) {
		$list[] = 'plugins/vc-extensions-bundle/vc-extensions-bundle.css';
		return $list;
	}
}

