<?php

// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'quanzo_yith_wcwl_wishlist_theme_setup9' ) ) {
    add_action( 'after_setup_theme', 'quanzo_yith_wcwl_wishlist_theme_setup9', 9 );
    function quanzo_yith_wcwl_wishlist_theme_setup9() {

        

        if ( is_admin() ) {
            add_filter( 'quanzo_filter_tgmpa_required_plugins', 'quanzo_yith_wcwl_wishlist_tgmpa_required_plugins' );
        }
    }
}

// Filter to add in the required plugins list
if ( ! function_exists( 'quanzo_yith_wcwl_wishlist_tgmpa_required_plugins' ) ) {
    
    function quanzo_yith_wcwl_wishlist_tgmpa_required_plugins( $list = array() ) {
        if ( quanzo_storage_isset( 'required_plugins', 'yith-woocommerce-wishlist' ) && quanzo_storage_get_array( 'required_plugins', 'yith-woocommerce-wishlist', 'install' ) !== false ) {
            $list[] = array(
                'name'     => quanzo_storage_get_array( 'required_plugins', 'yith-woocommerce-wishlist', 'title' ),
                'slug'     => 'yith-woocommerce-wishlist',
                'required' => false,
            );
        }
        return $list;
    }
}

// Check if plugin installed and activated
if ( ! function_exists( 'quanzo_exists_yith_wcwl_wishlist' ) ) {
    function quanzo_exists_yith_wcwl_wishlist() {
        return class_exists( 'YITH_WCWL' );
    }
}

// Set plugin's specific importer options
if ( !function_exists( 'quanzo_yith_wcwl_wishlist_importer_set_options' ) ) {
    if (is_admin()) add_filter( 'trx_addons_filter_importer_options',    'quanzo_yith_wcwl_wishlist_importer_set_options' );
    function quanzo_yith_wcwl_wishlist_importer_set_options($options=array()) {   
        if ( quanzo_exists_yith_wcwl_wishlist() && in_array('yith-woocommerce-wishlist', $options['required_plugins']) ) {
            $options['additional_options'][]    = 'yith_wcwl_%';                    // Add slugs to export options for this plugin
        }
        return $options;
    }
}
