<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.64
 */

$quanzo_theme_obj  = wp_get_theme();
$quanzo_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$quanzo_skins_args = get_query_var( 'quanzo_skins_notice_args' );

?>
<div class="quanzo_admin_notice quanzo_skins_notice update-nag">
	<?php
	// Theme image
	$quanzo_theme_img = quanzo_get_file_url( 'screenshot.jpg' );
	if ( '' != $quanzo_theme_img ) {
		?>
		<div class="quanzo_notice_image"><img src="<?php echo esc_url( $quanzo_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'quanzo' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="quanzo_notice_title">
		<?php esc_html_e( 'New skins available', 'quanzo' ); ?>
	</h3>
	<?php

	// Description
	$quanzo_total      = $quanzo_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$quanzo_skins_msg  = $quanzo_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $quanzo_total, 'quanzo' ), $quanzo_total ) . '</strong>'
							: '';
	$quanzo_total      = $quanzo_skins_args['free'];
	$quanzo_skins_msg .= $quanzo_total > 0
							? ( ! empty( $quanzo_skins_msg ) ? ' ' . esc_html__( 'and', 'quanzo' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $quanzo_total, 'quanzo' ), $quanzo_total ) . '</strong>'
							: '';
	$quanzo_total      = $quanzo_skins_args['pay'];
	$quanzo_skins_msg .= $quanzo_skins_args['pay'] > 0
							? ( ! empty( $quanzo_skins_msg ) ? ' ' . esc_html__( 'and', 'quanzo' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $quanzo_total, 'quanzo' ), $quanzo_total ) . '</strong>'
							: '';
	?>
	<div class="quanzo_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'quanzo' ), $quanzo_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="quanzo_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $quanzo_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'quanzo' );
			?>
		</a>
		<?php
		// Dismiss
		?>
		<a href="#" data-notice="skins" class="quanzo_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="quanzo_hide_notice_text"><?php esc_html_e( 'Dismiss', 'quanzo' ); ?></span></a>
	</div>
</div>
