<?php
// Theme init priorities:
// 9 - register other filters (for installer, etc.)
if ( ! function_exists( 'quanzo_skin_css_theme_setup9' ) ) {
	add_action( 'after_setup_theme', 'quanzo_skin_css_theme_setup9', 9 );
	function quanzo_skin_css_theme_setup9() {
		add_filter( 'quanzo_filter_get_css', 'quanzo_skin_get_css', 10, 2 );
	}
}

// Add skin-specific colors and fonts to the custom CSS
if ( ! function_exists( 'quanzo_skin_get_css' ) ) {
	
	function quanzo_skin_get_css( $css, $args ) {

		if ( isset( $css['fonts'] ) && isset( $args['fonts'] ) ) {
			$fonts         = $args['fonts'];
			$css['fonts'] .= <<<CSS

CSS;
		}

		if ( isset( $css['vars'] ) && isset( $args['vars'] ) ) {
			$vars         = $args['vars'];
			extract($vars);
			$css['vars'] .= <<<CSS

CSS;
		}

		if ( isset( $css['colors'] ) && isset( $args['colors'] ) ) {
			$colors         = $args['colors'];
			$css['colors'] .= <<<CSS


/* Post layouts */
.post_meta,
.post_meta_item,
.post_meta_item:after,
.post_meta_item:hover:after,
.post_meta .vc_inline-link,
.post_meta .vc_inline-link:after,
.post_meta .vc_inline-link:hover:after,
.post_meta_item a,
.post_info .post_info_item,
.post_info .post_info_item a,
.post_info_counters .post_meta_item {
	color: {$colors['extra_text']};
}



/* TRX Addons */

/* User styles
------------------------------------------ */
.trx_addons_tooltip {
	color: {$colors['text']};
	border-color: {$colors['text']};
}

/* Text */
.sc_testimonials_plain .sc_testimonials_item_author_subtitle{
	color: {$colors['text']}
}

/* Twitter */
.widget_twitter .widget_content .sc_twitter_list li:before{
	color: {$colors['extra_text']} !important;
}

/* Scroll to top */
.trx_addons_scroll_to_top,
.trx_addons_cv .trx_addons_scroll_to_top {
	color: {$colors['inverse_hover']};
	border-color: {$colors['text_link']};
	background-color: {$colors['text_link']};
}
.trx_addons_scroll_to_top:hover,
.trx_addons_cv .trx_addons_scroll_to_top:hover {
	color: {$colors['inverse_link']};
	border-color: {$colors['text_hover']};
	background-color: {$colors['text_hover']};
}

/* Bloger */
[class*="over_bottom_left"] .sc_item_featured [class*="post_info_"] .post_meta_item a,
[class*="category_center"] .sc_item_featured .post_info_mc .post_meta_item, 
[class*="category_center"] .sc_item_featured .post_info_mc .post_meta_item a {
	color: {$colors['text']};
}

/* Social icon */
.social_light .socials_wrap .social_item:hover .social_icon, 
.social_light .socials_wrap .social_item:hover .social_icon i{
	color: {$colors['text_link']};
}

/* Testimonials */
.sc_testimonials_classic .sc_testimonials_item_author_subtitle{
	color: {$colors['text']};
}

/* Slider */
.slider_container.slider_multi .slider-slide .slide_info .slide_cats a:hover,
.slider_container .slider-slide .slide_info:not(.slide_info_large) .slide_cats a:hover {
	color: {$colors['text']};
}




CSS;
		}

		return $css;
	}
}

