<?php
/**
 * The template to display Admin notices
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.1
 */

$quanzo_theme_obj = wp_get_theme();
?>
<div class="quanzo_admin_notice quanzo_welcome_notice update-nag">
	<?php
	// Theme image
	$quanzo_theme_img = quanzo_get_file_url( 'screenshot.jpg' );
	if ( '' != $quanzo_theme_img ) {
		?>
		<div class="quanzo_notice_image"><img src="<?php echo esc_url( $quanzo_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'quanzo' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="quanzo_notice_title">
		<?php
		echo esc_html(
			sprintf(
				// Translators: Add theme name and version to the 'Welcome' message
				__( 'Welcome to %1$s v.%2$s', 'quanzo' ),
				$quanzo_theme_obj->name . ( QUANZO_THEME_FREE ? ' ' . __( 'Free', 'quanzo' ) : '' ),
				$quanzo_theme_obj->version
			)
		);
		?>
	</h3>
	<?php

	// Description
	?>
	<div class="quanzo_notice_text">
		<p class="quanzo_notice_text_description">
			<?php
			echo str_replace( '. ', '.<br>', wp_kses_data( $quanzo_theme_obj->description ) );
			?>
		</p>
		<p class="quanzo_notice_text_info">
			<?php
			echo wp_kses_data( __( 'Attention! Plugin "ThemeREX Addons" is required! Please, install and activate it!', 'quanzo' ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="quanzo_notice_buttons">
		<?php
		// Link to the page 'About Theme'
		?>
		<a href="<?php echo esc_url( admin_url() . 'themes.php?page=quanzo_about' ); ?>" class="button button-primary"><i class="dashicons dashicons-nametag"></i> 
			<?php
			echo esc_html__( 'Install plugin "ThemeREX Addons"', 'quanzo' );
			?>
		</a>
		<?php		
		// Dismiss this notice
		?>
		<a href="#" data-notice="admin" class="quanzo_hide_notice"><i class="dashicons dashicons-dismiss"></i> <span class="quanzo_hide_notice_text"><?php esc_html_e( 'Dismiss', 'quanzo' ); ?></span></a>
	</div>
</div>
