<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.10
 */

// Footer sidebar
$quanzo_footer_name    = quanzo_get_theme_option( 'footer_widgets' );
$quanzo_footer_present = ! quanzo_is_off( $quanzo_footer_name ) && is_active_sidebar( $quanzo_footer_name );
if ( $quanzo_footer_present ) {
	quanzo_storage_set( 'current_sidebar', 'footer' );
	$quanzo_footer_wide = quanzo_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $quanzo_footer_name ) ) {
		dynamic_sidebar( $quanzo_footer_name );
	}
	$quanzo_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $quanzo_out ) ) {
		$quanzo_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $quanzo_out );
		$quanzo_need_columns = true;   //or check: strpos($quanzo_out, 'columns_wrap')===false;
		if ( $quanzo_need_columns ) {
			$quanzo_columns = max( 0, (int) quanzo_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $quanzo_columns ) {
				$quanzo_columns = min( 4, max( 1, quanzo_tags_count( $quanzo_out, 'aside' ) ) );
			}
			if ( $quanzo_columns > 1 ) {
				$quanzo_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $quanzo_columns ) . ' widget', $quanzo_out );
			} else {
				$quanzo_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $quanzo_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $quanzo_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $quanzo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'quanzo_action_before_sidebar' );
				quanzo_show_layout( $quanzo_out );
				do_action( 'quanzo_action_after_sidebar' );
				if ( $quanzo_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $quanzo_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
