<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0.06
 */

$quanzo_header_css   = '';
$quanzo_header_image = get_header_image();
$quanzo_header_video = quanzo_get_header_video();
if ( ! empty( $quanzo_header_image ) && quanzo_trx_addons_featured_image_override( is_singular() || quanzo_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$quanzo_header_image = quanzo_get_current_mode_image( $quanzo_header_image );
}

$quanzo_header_id = quanzo_get_custom_header_id();
$quanzo_header_meta = get_post_meta( $quanzo_header_id, 'trx_addons_options', true );
if ( ! empty( $quanzo_header_meta['margin'] ) ) {
	quanzo_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( quanzo_prepare_css_value( $quanzo_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $quanzo_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $quanzo_header_id ) ) ); ?>
				<?php
				echo ! empty( $quanzo_header_image ) || ! empty( $quanzo_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $quanzo_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $quanzo_header_image ) {
					echo ' ' . esc_attr( quanzo_add_inline_css_class( 'background-image: url(' . esc_url( $quanzo_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( quanzo_is_on( quanzo_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight quanzo-full-height';
				}
				$quanzo_header_scheme = quanzo_get_theme_option( 'header_scheme' );
				if ( ! empty( $quanzo_header_scheme ) && ! quanzo_is_inherit( $quanzo_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $quanzo_header_scheme );
				}

				?>
">
	<?php

	// Background video
	if ( ! empty( $quanzo_header_video ) ) {
		get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'quanzo_action_show_layout', $quanzo_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
