<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

$quanzo_args = get_query_var( 'quanzo_logo_args' );

// Site logo
$quanzo_logo_type   = isset( $quanzo_args['type'] ) ? $quanzo_args['type'] : '';
$quanzo_logo_image  = quanzo_get_logo_image( $quanzo_logo_type );
$quanzo_logo_text   = quanzo_is_on( quanzo_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$quanzo_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $quanzo_logo_image['logo'] ) || ! empty( $quanzo_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $quanzo_logo_image['logo'] ) ) {
			if ( empty( $quanzo_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric( $quanzo_logo_image['logo'] ) && (int) $quanzo_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$quanzo_attr = quanzo_getimagesize( $quanzo_logo_image['logo'] );
				echo '<img src="' . esc_url( $quanzo_logo_image['logo'] ) . '"'
						. ( ! empty( $quanzo_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $quanzo_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $quanzo_logo_text ) . '"'
						. ( ! empty( $quanzo_attr[3] ) ? ' ' . wp_kses_data( $quanzo_attr[3] ) : '' )
						. '>';
			}
		} else {
			quanzo_show_layout( quanzo_prepare_macros( $quanzo_logo_text ), '<span class="logo_text">', '</span>' );
			quanzo_show_layout( quanzo_prepare_macros( $quanzo_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
