<?php
/**
 * The template to show mobile menu
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

$quanzo_show_widgets = quanzo_get_theme_option( 'widgets_menu_mobile_fullscreen' );
?>
<div class="menu_mobile_overlay"></div>
<div class="menu_mobile menu_mobile_<?php echo esc_attr( quanzo_get_theme_option( 'menu_mobile_fullscreen' ) > 0 ? 'fullscreen' : 'narrow' ); ?> scheme_dark">
     <div class="menu_mobile_inner<?php echo esc_attr( $quanzo_show_widgets == 1  ? ' with_widgets' : '' ); ?>">

		<a class="menu_mobile_close theme_button_close"><span class="theme_button_close_icon"></span></a>
         <div class="menu_mobile_wrapper">
            <div class="menu_mobile_elements_area">
            <?php

            // Logo
            set_query_var( 'quanzo_logo_args', array( 'type' => 'mobile' ) );
            get_template_part( apply_filters( 'quanzo_filter_get_template_part', 'templates/header-logo' ) );
            set_query_var( 'quanzo_logo_args', array() );

            // Mobile menu
            $quanzo_menu_mobile = quanzo_get_nav_menu( 'menu_mobile' );
            if ( empty( $quanzo_menu_mobile ) ) {
                $quanzo_menu_mobile = apply_filters( 'quanzo_filter_get_mobile_menu', '' );
                if ( empty( $quanzo_menu_mobile ) ) {
                    $quanzo_menu_mobile = quanzo_get_nav_menu( 'menu_main' );
                    if ( empty( $quanzo_menu_mobile ) ) {
                        $quanzo_menu_mobile = quanzo_get_nav_menu();
                    }
                }
            }
            if ( ! empty( $quanzo_menu_mobile ) ) {
                $quanzo_menu_mobile = str_replace(
                    array( 'menu_main',   'id="menu-',        'sc_layouts_menu_nav', 'sc_layouts_menu ', 'sc_layouts_hide_on_mobile', 'hide_on_mobile' ),
                    array( 'menu_mobile', 'id="menu_mobile-', '',                    ' ',                '',                          '' ),
                    $quanzo_menu_mobile
                );
                if ( strpos( $quanzo_menu_mobile, '<nav ' ) === false ) {
                    $quanzo_menu_mobile = sprintf( '<nav class="menu_mobile_nav_area" itemscope="itemscope" itemtype="%1$s//schema.org/SiteNavigationElement">%2$s</nav>', esc_attr( quanzo_get_protocol( true ) ), $quanzo_menu_mobile );
                }
                quanzo_show_layout( apply_filters( 'quanzo_filter_menu_mobile_layout', $quanzo_menu_mobile ) );
            }

            // Social icons
            quanzo_show_layout( quanzo_get_socials_links(), '<div class="socials_mobile">', '</div>' );

            ?></div><?php

            if ( $quanzo_show_widgets == 1 )  {
                 ?><div class="menu_mobile_widgets_area"><?php
                     // Create Widgets Area
                     quanzo_create_widgets_area( 'widgets_additional_menu_mobile_fullscreen' );
                 ?></div><?php
            }
            ?>
         </div>
     </div>
</div>
