<?php
/**
 * The template to display the page title and breadcrumbs
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

// Page (category, tag, archive, author) title

if ( quanzo_need_page_title() ) {
	quanzo_sc_layouts_showed( 'title', true );
	quanzo_sc_layouts_showed( 'postmeta', true );
	?>
	<div class="top_panel_title sc_layouts_row sc_layouts_row_type_normal">
		<div class="content_wrap">
			<div class="sc_layouts_column sc_layouts_column_align_center">
				<div class="sc_layouts_item">
					<div class="sc_layouts_title sc_align_center">
						<?php
						// Post meta on the single post
						if ( is_single() ) {
							?>
							<div class="sc_layouts_title_meta">
							<?php
								quanzo_show_post_meta(
									apply_filters(
										'quanzo_filter_post_meta_args', array(
											'components' => quanzo_array_get_keys_by_value( quanzo_get_theme_option( 'meta_parts' ) ),
											'counters'   => quanzo_array_get_keys_by_value( quanzo_get_theme_option( 'counters' ) ),
											'seo'        => quanzo_is_on( quanzo_get_theme_option( 'seo_snippets' ) ),
										), 'header', 1
									)
								);
							?>
							</div>
							<?php
						}

						// Blog/Post title
						?>
						<div class="sc_layouts_title_title">
							<?php
							$quanzo_blog_title           = quanzo_get_blog_title();
							$quanzo_blog_title_text      = '';
							$quanzo_blog_title_class     = '';
							$quanzo_blog_title_link      = '';
							$quanzo_blog_title_link_text = '';
							if ( is_array( $quanzo_blog_title ) ) {
								$quanzo_blog_title_text      = $quanzo_blog_title['text'];
								$quanzo_blog_title_class     = ! empty( $quanzo_blog_title['class'] ) ? ' ' . $quanzo_blog_title['class'] : '';
								$quanzo_blog_title_link      = ! empty( $quanzo_blog_title['link'] ) ? $quanzo_blog_title['link'] : '';
								$quanzo_blog_title_link_text = ! empty( $quanzo_blog_title['link_text'] ) ? $quanzo_blog_title['link_text'] : '';
							} else {
								$quanzo_blog_title_text = $quanzo_blog_title;
							}
							?>
							<h1 itemprop="headline" class="sc_layouts_title_caption<?php echo esc_attr( $quanzo_blog_title_class ); ?>">
								<?php
								$quanzo_top_icon = quanzo_get_term_image_small();
								if ( ! empty( $quanzo_top_icon ) ) {
									$quanzo_attr = quanzo_getimagesize( $quanzo_top_icon );
									?>
									<img src="<?php echo esc_url( $quanzo_top_icon ); ?>" alt="<?php esc_attr_e( 'Site icon', 'quanzo' ); ?>"
										<?php
										if ( ! empty( $quanzo_attr[3] ) ) {
											quanzo_show_layout( $quanzo_attr[3] );
										}
										?>
									>
									<?php
								}
								echo wp_kses( $quanzo_blog_title_text, 'quanzo_kses_content' );
								?>
							</h1>
							<?php
							if ( ! empty( $quanzo_blog_title_link ) && ! empty( $quanzo_blog_title_link_text ) ) {
								?>
								<a href="<?php echo esc_url( $quanzo_blog_title_link ); ?>" class="theme_button theme_button_small sc_layouts_title_link"><?php echo esc_html( $quanzo_blog_title_link_text ); ?></a>
								<?php
							}

							// Category/Tag description
							if ( is_category() || is_tag() || is_tax() ) {
								the_archive_description( '<div class="sc_layouts_title_description">', '</div>' );
							}

							?>
						</div>
						<?php

						// Breadcrumbs
						ob_start();
						do_action( 'quanzo_action_breadcrumbs' );
						$quanzo_breadcrumbs = ob_get_contents();
						ob_end_clean();
						quanzo_show_layout( $quanzo_breadcrumbs, '<div class="sc_layouts_title_breadcrumbs">', '</div>' );
						?>
					</div>
				</div>
			</div>
		</div>
	</div>
	<?php
}
