<?php
/**
 * The template to display the widgets area in the header
 *
 * @package WordPress
 * @subpackage QUANZO
 * @since QUANZO 1.0
 */

// Header sidebar
$quanzo_header_name    = quanzo_get_theme_option( 'header_widgets' );
$quanzo_header_present = ! quanzo_is_off( $quanzo_header_name ) && is_active_sidebar( $quanzo_header_name );
if ( $quanzo_header_present ) {
	quanzo_storage_set( 'current_sidebar', 'header' );
	$quanzo_header_wide = quanzo_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $quanzo_header_name ) ) {
		dynamic_sidebar( $quanzo_header_name );
	}
	$quanzo_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $quanzo_widgets_output ) ) {
		$quanzo_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $quanzo_widgets_output );
		$quanzo_need_columns   = strpos( $quanzo_widgets_output, 'columns_wrap' ) === false;
		if ( $quanzo_need_columns ) {
			$quanzo_columns = max( 0, (int) quanzo_get_theme_option( 'header_columns' ) );
			if ( 0 == $quanzo_columns ) {
				$quanzo_columns = min( 6, max( 1, quanzo_tags_count( $quanzo_widgets_output, 'aside' ) ) );
			}
			if ( $quanzo_columns > 1 ) {
				$quanzo_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $quanzo_columns ) . ' widget', $quanzo_widgets_output );
			} else {
				$quanzo_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $quanzo_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $quanzo_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $quanzo_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'quanzo_action_before_sidebar' );
				quanzo_show_layout( $quanzo_widgets_output );
				do_action( 'quanzo_action_after_sidebar' );
				if ( $quanzo_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $quanzo_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
